$packageName = 'CloudBerryExplorer.AmazonS3'
#$url = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.8.7.14_netv4.0.exe'
$url = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v4.0.2.31_netv4.0.exe'

try {
    $scriptDir = $(Split-Path -parent $MyInvocation.MyCommand.Definition);
    $installerAuto = Join-Path $scriptDir 'CloudBerryExplorer.AmazonS3.au3';

    $installerPackage = Join-Path $scriptDir "CloudBerryExplorer.AmazonS3.exe";
    Get-ChocolateyWebFile $packageName $installerPackage $url;

    Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
    $installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
    Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"

    Write-ChocolateySuccess $packageName
} catch {
  Write-ChocolateyFailure $packageName "$($_.Exception.Message)"
  throw
}
